# Generated from minitest-ci-3.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name minitest-ci

Name: rubygem-%{gem_name}
Version: 3.4.0
Release: 1%{?dist}.2
Summary: Minitest JUnit XML formatter
License: MIT
URL: https://github.com/circleci/minitest-ci
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
# BuildRequires: (rubygem(nokogiri) >= 1.7.1 with rubygem(nokogiri) < 1.8)
# BuildRequires: rubygem(json) >= 2.0.0
# BuildRequires: rubygem(ZenTest)
BuildArch: noarch

%description
Minitest Junit XML results that CircleCI can read.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc

%changelog
* Fri Apr 30 2021 Oleg Girko <ol@infoserver.lv> - 3.4.0-1
- Initial package
